%define rname emerald
%define name %{rname}
%define version 0.2.0
%define release %mkrel 1

%define lib_major 0
%define lib_name %mklibname %{name} %lib_major
%define lib_name_devel %mklibname -d %{name} %lib_major

Name: %name
Version: %version
Release: %release
Summary: Window decorator for beryl
Group: System/X11
URL: http://www.beryl-project.org/
Source: http://releases.beryl-project.org/%{version}/%{name}-%{version}.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: beryl-core-devel = %{version}
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: subversion-devel
BuildRequires: neon-devel
BuildRequires: intltool
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Requires: beryl-core
Requires: emerald-themes

# cgwd was renamed to emerald
Provides: cgwd
Obsoletes: cgwd

%description
Themable window decorator for the Beryl window manager/compositor

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS  ChangeLog README COPYING 
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}*.png
%{_datadir}/icons/hicolor/48x48/mimetypes/*.png
%{_datadir}/%{name}/*
%{_mandir}/man1/%{name}*.1*

#----------------------------------------------------------------------------

%package -n %lib_name
Summary: Library files for %{name}
Group: System/X11
Requires: %{name} = %{version}
Provides: %lib_name = %version

%description -n %lib_name
Library files for %{name}

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root)
%{_libdir}/lib%{name}engine.so.*
%{_libdir}/%{name}/engines/*.so

#----------------------------------------------------------------------------

%package -n %lib_name_devel
Summary: Development files from %{name}
Group: Development/Other
Requires: %lib_name = %{version}
Provides: lib%{name}-devel = %{version}
Provides: %{name}-devel = %{version}
Obsoletes: %{name}-devel
Obsoletes: cgwd-devel

%description -n %lib_name_devel
Headers files for %{name}

%post -n %lib_name_devel -p /sbin/ldconfig

%files -n %lib_name_devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}engine.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}engine.so
%{_libdir}/lib%{name}engine.a
%{_libdir}/lib%{name}engine.la
%{_libdir}/%{name}/engines/*.a
%{_libdir}/%{name}/engines/*.la

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
                --disable-mime-update \
                --with-apr-config=apr-1-config \
                --with-apu-config=apu-1-config \
                --with-svn-lib=%_libdir

%make

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %{name}

sed -i 's/Exec=emerald-theme-manager -i//' $RPM_BUILD_ROOT%{_datadir}/applications/emerald-theme-manager.desktop

desktop-file-install \
  --vendor="" \
  --remove-category="Settings" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%clean
rm -rf %buildroot


%changelog
* Thu Mar 15 2007 Colin Guthrie <cguthrie@mandriva.org> 0.2.0-1mdv2007.1
+ Revision: 143949
- New Version: 0.2.0

* Wed Feb 14 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.2-1mdv2007.1
+ Revision: 120684
- New Release Candidate 0.1.9999.2 (RC2)
- Tidy up BuildRequires due to beryl-core-devel changes

* Sat Feb 03 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.9999.1-1mdv2007.1
+ Revision: 116006
- New Release Candidate: RC1

* Sun Jan 21 2007 Colin Guthrie <cguthrie@mandriva.org> 0.1.99.2-1mdv2007.1
+ Revision: 111377
- New version 0.2.0 Beta 2

* Sat Dec 30 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.4-1mdv2007.1
+ Revision: 102815
- New Release: 0.1.4

* Sun Dec 10 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 94467
- Specfile cleanup
- The official 0.1.3

  + Sébastien Savarin <plouf@mandriva.org>
    - New rev 0.1.3

* Thu Dec 07 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-3mdv2007.1
+ Revision: 91882
- Fix strange dependencies (#27358)
- Correct use of %%mklibname

* Mon Nov 20 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-2mdv2007.1
+ Revision: 85662
- Bump release (forgot in last commit)
- More minor spec cleanup
- Spec file cleanup

* Wed Nov 08 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 78075
- New Release 0.1.2

* Tue Oct 24 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.1-2mdv2007.0
+ Revision: 72139
- Correct the version requirement on beryl-core-devel
- Require correct version of beryl-core-devel

  + Sébastien Savarin <plouf@mandriva.org>
    - New revision 0.1.1

* Wed Oct 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.1.0-6mdv2007.0
+ Revision: 66092
- YAR - Yet Another Rebuild
- Build also requires desktop-file-utils
- Rebuild
- Bump revision
- More build requires fixes.
- Fix build requires (intltool)
- Proper handling of Provides/Obsoletes for package renames
- First release of Emerald
- Cgwd becomes Emerald
- Fix BuildRequires from automated reports
- Fix menus

* Mon Sep 18 2006 Colin Guthrie <cguthrie@mandriva.org> 0.69-1mdv2007.0
+ Revision: 61818
- Latest version

* Sun Sep 17 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.6mdv2007.0
+ Revision: 61781
- Fix BuildRequires (to fix x86_64 build)

* Sat Sep 16 2006 Colin Guthrie <cguthrie@mandriva.org> 0.53-0.060818.5mdv2007.0
+ Revision: 61736
- Fix buildrequires
- Correct release
- Fix lib package to include individial engine libraries (#24619)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add buildrequires

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.4mdv2007.0
+ Revision: 57834
- Add buildrequires

* Thu Aug 24 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.53-0.060818.3mdv2007.0
+ Revision: 57822
- Increanse release
- Fix group

* Sat Aug 19 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.2mdv2007.0
+ Revision: 56849
- fix schemas error

* Fri Aug 18 2006 Sébastien Savarin <plouf@mandriva.org> 0.53-0.060818.1mdv2007.0
+ Revision: 56736
- add forgotten files
-use snapshot and mime database macros

* Thu Aug 17 2006 Sébastien Savarin <plouf@mandriva.org> 0.52-1mdv2007.0
+ Revision: 56573
-split package
- Import cgwd

